# Generated by Django 4.1 on 2022-09-28 15:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Aluguel',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ativo', models.BooleanField(default=True)),
                ('criado_em', models.DateTimeField(auto_now_add=True)),
                ('modificado_em', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'aluguel',
            },
        ),
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ativo', models.BooleanField(default=True)),
                ('criado_em', models.DateTimeField(auto_now_add=True)),
                ('modificado_em', models.DateTimeField(auto_now=True)),
                ('nome', models.CharField(max_length=104)),
            ],
            options={
                'db_table': 'categoria',
            },
        ),
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ativo', models.BooleanField(default=True)),
                ('criado_em', models.DateTimeField(auto_now_add=True)),
                ('modificado_em', models.DateTimeField(auto_now=True)),
                ('nome', models.CharField(max_length=104)),
                ('sexo', models.CharField(choices=[('M', 'Masculino'), ('F', 'Feminino')], max_length=1)),
                ('estado_civil', models.CharField(choices=[('S', 'Solteiro'), ('C', 'Casado'), ('D', 'Divorciado'), ('V', 'Viuvo')], max_length=1)),
            ],
            options={
                'db_table': 'cliente',
            },
        ),
        migrations.CreateModel(
            name='Dvd',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ativo', models.BooleanField(default=True)),
                ('criado_em', models.DateTimeField(auto_now_add=True)),
                ('modificado_em', models.DateTimeField(auto_now=True)),
                ('descricao', models.CharField(max_length=104)),
                ('preco', models.DecimalField(decimal_places=2, max_digits=10)),
                ('categoria', models.ForeignKey(db_column='id_categoria', on_delete=django.db.models.deletion.DO_NOTHING, to='principal.categoria')),
            ],
            options={
                'db_table': 'dvd',
            },
        ),
        migrations.CreateModel(
            name='Funcionario',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ativo', models.BooleanField(default=True)),
                ('criado_em', models.DateTimeField(auto_now_add=True)),
                ('modificado_em', models.DateTimeField(auto_now=True)),
                ('nome', models.CharField(max_length=104)),
            ],
            options={
                'db_table': 'funcionario',
            },
        ),
        migrations.CreateModel(
            name='ItemAluguel',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ativo', models.BooleanField(default=True)),
                ('criado_em', models.DateTimeField(auto_now_add=True)),
                ('modificado_em', models.DateTimeField(auto_now=True)),
                ('quantidade', models.IntegerField()),
                ('preco', models.DecimalField(decimal_places=2, max_digits=10)),
                ('aluguel', models.ForeignKey(db_column='id_aluguel', on_delete=django.db.models.deletion.DO_NOTHING, to='principal.aluguel')),
                ('dvd', models.ForeignKey(db_column='id_dvd', on_delete=django.db.models.deletion.DO_NOTHING, to='principal.dvd')),
            ],
            options={
                'db_table': 'item_aluguel',
            },
        ),
        migrations.AddField(
            model_name='aluguel',
            name='cliente',
            field=models.ForeignKey(db_column='id_cliente', on_delete=django.db.models.deletion.DO_NOTHING, to='principal.cliente'),
        ),
        migrations.AddField(
            model_name='aluguel',
            name='funcionario',
            field=models.ForeignKey(db_column='id_funcionario', on_delete=django.db.models.deletion.DO_NOTHING, to='principal.funcionario'),
        ),
    ]
